aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorpsykose <alice@ayaya.dev>2023-07-01 16:31:45 +0000
committerpsykose <alice@ayaya.dev>2023-07-01 18:32:15 +0200
commit18bf6769023426ab2966d6501ffaf4e07d1692ee (patch)
tree700ea60ea9dc876b4d1eb11176bbc5f5eb285444
parent69e250ade641ba27c46ba0ae5d99a9ecd1bb2653 (diff)
community/calls: upgrade to 44.2
-rw-r--r--community/calls/0001-mm-origin-Don-t-unref-origin-in-call_deleted_cb.patch29
-rw-r--r--community/calls/APKBUILD14
2 files changed, 6 insertions, 37 deletions
diff --git a/community/calls/0001-mm-origin-Don-t-unref-origin-in-call_deleted_cb.patch b/community/calls/0001-mm-origin-Don-t-unref-origin-in-call_deleted_cb.patch
deleted file mode 100644
index b558d8dd105..00000000000
--- a/community/calls/0001-mm-origin-Don-t-unref-origin-in-call_deleted_cb.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-Patch-Source: https://gitlab.gnome.org/GNOME/calls/-/commit/3e699275a45544a1397d09b17502447fc7472504
---
-From 3e699275a45544a1397d09b17502447fc7472504 Mon Sep 17 00:00:00 2001
-From: Evangelos Ribeiro Tzaras <devrtz@fortysixandtwo.eu>
-Date: Wed, 10 May 2023 15:27:53 +0200
-Subject: [PATCH] mm-origin: Don't unref origin in call_deleted_cb
-
-Fixes: 72a85d62fad3b6bfbceedd93f8122926de699503
-Closes: #573
----
- plugins/provider/mm/calls-mm-origin.c | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/plugins/provider/mm/calls-mm-origin.c b/plugins/provider/mm/calls-mm-origin.c
-index 5d95bab..4f64659 100644
---- a/plugins/provider/mm/calls-mm-origin.c
-+++ b/plugins/provider/mm/calls-mm-origin.c
-@@ -564,7 +564,7 @@ call_deleted_cb (MMModemVoice *voice,
- const char *path,
- gpointer user_data)
- {
-- g_autoptr (CallsMMOrigin) self = NULL;
-+ CallsMMOrigin *self;
- gpointer call;
- gpointer key;
- const char *mm_reason;
---
-2.40.1
-
diff --git a/community/calls/APKBUILD b/community/calls/APKBUILD
index 7f71f986005..17b589d2a38 100644
--- a/community/calls/APKBUILD
+++ b/community/calls/APKBUILD
@@ -1,9 +1,9 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Rasmus Thomsen <oss@cogitri.dev>
pkgname=calls
-pkgver=44.1
-pkgrel=1
-pkgdesc="A phone dialer and call handler"
+pkgver=44.2
+pkgrel=0
+pkgdesc="Phone dialer and call handler"
arch="all"
url="https://gitlab.gnome.org/GNOME/calls"
license="GPL-3.0-or-later"
@@ -33,14 +33,13 @@ makedepends="
vala
"
subpackages="$pkgname-doc $pkgname-lang"
-source="https://download.gnome.org/sources/calls/${pkgver%%.*}/calls-$pkgver.tar.xz
- 0001-mm-origin-Don-t-unref-origin-in-call_deleted_cb.patch
- "
+source="https://download.gnome.org/sources/calls/${pkgver%%.*}/calls-$pkgver.tar.xz"
options="!check" # Requires running Wayland compositor
build() {
abuild-meson \
-Db_lto=true \
+ -Dtests="$(want_check && echo true || echo false)" \
. output
meson compile ${JOBS:+-j ${JOBS}} -C output
}
@@ -54,6 +53,5 @@ package() {
}
sha512sums="
-c790ba0cc8854a8a186624c04f326e99b79def9ac1a8ef28559930dc2362aaa28022bad659ff8713bfd0fa1e9323d55d4de450a49050a3c8f01d0d14077ef5f6 calls-44.1.tar.xz
-f966a33665144015e2f229d26cb37fd31b8963846129c594bbecbba1009573327bf61631990c7645cc60190080b720edf6617e47fb1e41ccfb547b6b3800d612 0001-mm-origin-Don-t-unref-origin-in-call_deleted_cb.patch
+f15805a71020162db2610b5ba236ff14c231d22326490ccdb8b06ccf72fbbd50cd380ba51387a61b3d7f0bbb46f4c27a6290723290f1d4b11e5cdaae14418ce4 calls-44.2.tar.xz
"